#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xad18a916, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xf40f1d62, __VMLINUX_SYMBOL_STR(ife_validate_meta_u16) },
	{ 0x3157fc5f, __VMLINUX_SYMBOL_STR(ife_release_meta_gen) },
	{ 0xd38d97ae, __VMLINUX_SYMBOL_STR(ife_alloc_meta_u16) },
	{ 0xa5cbaa07, __VMLINUX_SYMBOL_STR(ife_get_meta_u16) },
	{ 0xc17d26dd, __VMLINUX_SYMBOL_STR(unregister_ife_op) },
	{ 0x5ce5f4ec, __VMLINUX_SYMBOL_STR(register_ife_op) },
	{ 0x1dbe21d4, __VMLINUX_SYMBOL_STR(ife_check_meta_u16) },
	{ 0x17c7f28c, __VMLINUX_SYMBOL_STR(ife_encode_meta_u16) },
	{ 0xbdfb6dbb, __VMLINUX_SYMBOL_STR(__fentry__) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=act_ife";

